Bug 191546 - update to ufraw 0.8
update to ufraw 0.8
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ufraw (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On: 191659
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-12 15:58 EDT by Thomas J. Baker
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-08 15:58:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for ufraw.spec (533 bytes, patch)
2006-05-14 16:36 EDT, David Juran
no flags Details | Diff
patch for the spec file (1.63 KB, patch)
2006-05-31 16:39 EDT, David Juran
no flags Details | Diff

  None (edit)
Description Thomas J. Baker 2006-05-12 15:58:16 EDT
How about an update to 0.8? It supports my EOS 30d CR2 raw format.
Comment 1 David Juran 2006-05-14 16:36:45 EDT
Created attachment 129018 [details]
patch for ufraw.spec

Attached is a patch for the spec file to upgrade to 0.8.1 (available from
http://prdownloads.sourceforge.net/ufraw/ufraw-0.8.1.tar.gz?download ) I also
enabled exif, which introduces a dependency on a newer version of libexif.
Comment 2 Thomas J. Baker 2006-05-18 16:04:51 EDT
Looks like exiv2 is going into extras. Can both exiv2 and libexif be enabled at
the same time? The news seems to indicate better support for CR2 raw files with
exiv2.
Comment 3 Nils Philippsen 2006-05-22 11:43:12 EDT
I'm reluctant to update ufraw and enable exif in fc5 if the latter means
depending on a new libexif version that's not even in fc5. Probably I'll update
to 0.8.x in fc5 and enable exif/exiv2/whatever in Rawhide only.
Comment 4 Thomas J. Baker 2006-05-22 16:00:20 EDT
exiv2 is now in extras but I can understand waiting until fc6. I built updated
rpms for myself and they seem to work fine.
Comment 5 David Juran 2006-05-31 16:39:17 EDT
Created attachment 130311 [details]
patch for the spec file
Comment 6 David Juran 2006-05-31 16:51:38 EDT
Updated the patch to include support for Canon CRW files (whatever those might
be) via exiv2. Unfortunately I don't have a Canon camera so please test if this
works as expected...

I've also changed the package summary and description to reflect that this is
not only a gimp plugin and since no one seems interested in messing around with
FC5 I've switched the version of this bug to 'devel' 
Comment 7 David Juran 2006-09-08 15:58:35 EDT
I believe the original request has been fulfilled now that ufraw-0.9.1-1.fc6 is
in devel. If there still is a need for libexif or exiv2 support, it should
probably be handled in seperate bugzillas.

Note You need to log in before you can comment on or make changes to this bug.